bump tycho version to 0.24.0

Change-Id: If7af71640e9c0fa0b48e1c8f4798b19dfdc00a3d
Signed-off-by: Fred Bricon <fbricon@gmail.com>
1 file changed
tree: b2158632a08f56d5a5a8132521c97475907089c1
  1. .gitignore
  2. .project
  3. .settings/
  4. CONTRIBUTING.md
  5. README.md
  6. catalog.xml
  7. description
  8. org.eclipse.m2e.wtp.feature/
  9. org.eclipse.m2e.wtp.jaxrs.feature/
  10. org.eclipse.m2e.wtp.jaxrs/
  11. org.eclipse.m2e.wtp.jpa.feature/
  12. org.eclipse.m2e.wtp.jpa/
  13. org.eclipse.m2e.wtp.jsf.feature/
  14. org.eclipse.m2e.wtp.jsf/
  15. org.eclipse.m2e.wtp.overlay.ui/
  16. org.eclipse.m2e.wtp.overlay/
  17. org.eclipse.m2e.wtp.sdk.feature/
  18. org.eclipse.m2e.wtp.site/
  19. org.eclipse.m2e.wtp.target-platform/
  20. org.eclipse.m2e.wtp/
  21. pom.xml
README.md

Maven Integration for Eclipse WTP

Maven Integration for Eclipse WTP, a.k.a m2e-wtp, aims at providing a tight integration between Maven Integration for Eclipse (a.k.a m2e) and the Eclipse Web Tools Project (WTP) .

m2eclipse-wtp provides a set of m2e connectors used for the configuration of Java EE projects in WTP. It features :

  • Support for war projects : adds the Java and Dynamic Web Facets. Support war overlays and on-the-fly resource filtering
  • Support for ejb projects : adds the Java and EJB Facets. Supports deployment descriptor filtering.
  • Support for ear projects : adds the EAR Facet. Supports application.xml and jboss.xml file generation, resource filtering
  • Support for rar projects : adds the Java and Connector Facets.
  • Support for app-client projects : adds the Java and Application Client Facets. Supports deployment descriptor filtering.
  • Support for jar dependency projects : adds the Java and Utility Facets.
  • Support for web-fragment projects : adds the Java and Web Fragment Facets if a web-fragment.xml file is detected in the resource folders.

Note that m2e-wtp requires m2e > 1.0. You must make sure m2e's update site (http://download.eclipse.org/technology/m2e/releases/) is defined in : Window > Preferences > Install / Update > Available Software Sites Since m2e 1.0 is incompatible with previous versions, you may have to uninstall old m2e and m2e-wtp versions before proceeding with the installation.

Public source repository

Issue tracking

Public wiki